/*
/// Utility classes
*/

:root {
  --layout-max-width: 80rem;
  --card-width-min: 22ch;
  --width-1-column: calc(calc(calc(var(--width-basis, 100vw) - 1.5rem) / calc(12 / 1)) - 1.5rem);
  --width-2-column: calc(calc(calc(var(--width-basis, 100vw) - 1.5rem) / calc(12 / 2)) - 1.5rem);
  --width-3-column: calc(calc(calc(var(--width-basis, 100vw) - 1.5rem) / calc(12 / 3)) - 1.5rem);
  --width-4-column: calc(calc(calc(var(--width-basis, 100vw) - 1.5rem) / calc(12 / 4)) - 1.5rem);
  --width-5-column: calc(calc(calc(var(--width-basis, 100vw) - 1.5rem) / calc(12 / 5)) - 1.5rem);
  --width-6-column: calc(calc(calc(var(--width-basis, 100vw) - 1.5rem) / calc(12 / 6)) - 1.5rem);
  --width-8-column: calc(calc(calc(var(--width-basis, 100vw) - 1.5rem) / calc(12 / 8)) - 1.5rem);
  --width-10-column: calc(calc(calc(var(--width-basis, 100vw) - 1.5rem) / calc(12 / 10)) - 1.5rem);
}

/*
 * Display
 */

.block {
  display: block;
}

.inline-block {
  display: inline-block;
}

.center {
  margin-right: auto;
  margin-left: auto;
}

.pointer-events-none {
  pointer-events: none;
}

.object-cover {
  object-fit: cover;
  -o-object-fit: cover;
}

.object-contain {
  object-fit: contain;
  -o-object-fit: contain;
}

.object-left {
  object-position: left;
}

.opacity-0 {
  opacity: 0;
}

.outline-none {
  outline: 2px solid transparent;
  outline-offset: 2px;
}

.focus\:outline-none:focus {
  outline: 2px solid transparent;
  outline-offset: 2px;
}

.overflow-y-auto {
  overflow-y: auto;
}

.overflow-y-hidden {
  overflow-y: hidden;
}

.space-x-1> :not([hidden])~ :not([hidden]) {
  margin-right: calc(0.25rem * var(--tw-space-x-reverse));
  margin-left: calc(0.25rem * calc(1 - var(--tw-space-x-reverse)));
  ;

  --tw-space-x-reverse: 0;
}

.space-y-10> :not([hidden])~ :not([hidden]) {
  margin-top: calc(2.5rem * calc(1 - var(--tw-space-y-reverse)));
  margin-bottom: calc(2.5rem * var(--tw-space-y-reverse));
  ;

  --tw-space-y-reverse: 0;
}

/*
 * Text
 */

.select-none {
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.text-bold {
  font-weight: bold;
}

/* Line-height */

.lh-0 {
  line-height: 1;
}

.lh-1 {
  line-height: 1.25;
}

/* Color */

.text-color {
  color: var(--text-color);
}

.text-color-light {
  color: #fff;
}

/* Align */

.top-0 {
  top: 0;
}

.top-1 {
  top: calc(var(--baseline) / 2);
}

.top-2 {
  top: var(--baseline);
}

.left-0 {
  left: 0;
}

.left-1 {
  left: calc(var(--baseline) / 2);
}

.left-2 {
  left: var(--baseline);
}

.left-3 {
  left: calc(var(--baseline) * 2);
}

.right-0 {
  right: 0;
}

.right-1 {
  right: calc(var(--baseline) / 2);
}

.right-2 {
  right: var(--baseline);
}

.right-3 {
  right: calc(var(--baseline) * 2);
}


/* Text */

.text-center {
  text-align: center;
}

.text-left {
  text-align: left;
}

.text-right {
  text-align: right;
}


/*
 * Margin
 */

.flow>*+* {
  margin-top: var(--flow-space, 1.5em);
}

.mx-auto {
  margin-right: auto;
  margin-left: auto;
}

.m-0 {
  margin: 0;
}

.mt-0 {
  margin-top: 0;
}

.mt-0\.5 {
  margin-top: calc(var(--baseline) / 3);
}

.mt-1 {
  margin-top: calc(var(--baseline) / 2);
}

.mt-2 {
  margin-top: var(--baseline);
}

.mt-3 {
  margin-top: calc(var(--baseline) * 1.5);
}

.mt-4 {
  margin-top: calc(var(--baseline) * 2);
}

.-mt-px {
  margin-top: -1px;
}

.-mt-8 {
  margin-top: calc(var(--baseline) * -4);
}

.mb-0 {
  margin-bottom: 0;
}

.mb-0\.5 {
  margin-bottom: calc(var(--baseline) / 3);
}

.mb-1 {
  margin-bottom: calc(var(--baseline) / 2);
}

.mb-2 {
  margin-bottom: var(--baseline);
}

.mb-3 {
  margin-bottom: calc(var(--baseline) * 1.5);
}

.-mb-px {
  margin-bottom: -1px;
}

.mr-1 {
  margin-right: calc(var(--baseline) / 2);
}

.mr-2 {
  margin-right: var(--baseline);
}

.mr-3 {
  margin-right: calc(var(--baseline) * 1.5);
}

.ml-1 {
  margin-left: calc(var(--baseline) / 2);
}

.ml-2 {
  margin-left: var(--baseline);
}

.ml-3 {
  margin-left: calc(var(--baseline) * 1.5);
}

@media (min-width: 64rem) { /* >= lg 1024px */
  .lg\:mt-3 {
    margin-top: calc(var(--baseline) * 1.5);
  }
  .lg\:mt-4 {
    margin-top: calc(var(--baseline) * 2);
  }
  .lg\:mt-8 {
    margin-top: calc(var(--baseline) * -4);
  }
}

@media (min-width: 80rem) { /* >= xl 1280px */
  .xl\:mt-3 {
    margin-top: calc(var(--baseline) * 1.5);
  }
  .xl\:mt-4 {
    margin-top: calc(var(--baseline) * 2);
  }
  .xl\:mt-8 {
    margin-top: calc(var(--baseline) * -4);
  }
}


/*
 * Padding
 */

.focus\:pl-12:focus {
  padding-left: 3rem;
}

.p-0 {
  padding: 0;
}

.p-1 {
  padding: calc(var(--baseline) / 2);
}

.p-2 {
  padding: var(--baseline);
}

.pt-0 {
  padding-top: 0;
}

.pt-0\.5 {
  padding-top: calc(var(--baseline) / 3);
}

.pt-1 {
  padding-top: calc(var(--baseline) / 2);
}

.pt-2 {
  padding-top: var(--baseline);
}

.pt-3 {
  padding-top: calc(var(--baseline) * 1.5);
}

.pb-0 {
  padding-bottom: 0;
}

.pb-1 {
  padding-bottom: calc(var(--baseline) / 2);
}

.pb-2 {
  padding-bottom: var(--baseline);
}

.pb-3 {
  padding-bottom: calc(var(--baseline) * 1.5);
}

.pb-4 {
  padding-bottom: calc(var(--baseline) * 2);
}

.pb-6 {
  padding-bottom: calc(var(--baseline) * 3);
}

.pb-2\/3 {
  padding-bottom: calc(2 / 3 * 100%);
}

.pr-0\.5 {
  padding-right: calc(var(--baseline) / 3);
}

.pr-1 {
  padding-right: calc(var(--baseline) / 2);
}

.pr-2 {
  padding-right: var(--baseline);
}

.pr-3 {
  padding-right: calc(var(--baseline) * 1.5);
}

.pr-4 {
  padding-right: calc(var(--baseline) * 2);
}


.pl-0 {
  padding-left: 0;
}

.pl-0\.5 {
  padding-left: calc(var(--baseline) / 3);
}

.pl-1 {
  padding-left: calc(var(--baseline) / 2);
}

.pl-2 {
  padding-left: var(--baseline);
}

.pl-3 {
  padding-left: calc(var(--baseline) * 1.5);
}

.pl-4 {
  padding-left: calc(var(--baseline) * 2);
}

.pl-5 {
  padding-left: calc(var(--baseline) * 2.5);
}

.pl-6 {
  padding-left: calc(var(--baseline) * 3);
}

.py-1 {
  padding-top: calc(var(--baseline) / 2);
  padding-bottom: calc(var(--baseline) / 2);
}

.py-2 {
  padding-top: var(--baseline);
  padding-bottom: var(--baseline);
}

.py-3 {
  padding-top: calc(var(--baseline) * 1.5);
  padding-bottom: calc(var(--baseline) * 1.5);
}

.py-4 {
  padding-top: calc(var(--baseline) * 2);
  padding-bottom: calc(var(--baseline) * 2);
}

@media (min-width: 40rem) {
  .sm\:inline {
    display: inline;
  }
  .sm\:px-3 {
    padding-right: calc(var(--baseline) * 1.5);
    padding-left: calc(var(--baseline) * 1.5);
  }
}

@media (min-width: 48rem) {
  .md\:inline {
    display: inline;
  }
}

@media (min-width: 64rem) {
  .lg\:inline {
    display: inline;
  }
}

/*
 * Z-index
 */

.z-0 {
  z-index: 0;
}

.z-10 {
  z-index: 10;
}

.z-30 {
  z-index: 30;
}

.z-50 {
  z-index: 50;
}

/*
 * Width
 */

.w-auto {
  width: auto;
}

.w-full {
  width: 100%;
}

.w-full-mega {
  margin-left: calc(var(--baseline) / -1);
  width: calc(100% + var(--baseline));
}

.w-screen {
  width: 100vw;
}

.focus\:w-full:focus {
  width: 100%;
}

.w-min-content {
  width: min-content;
}

/* Width fix */

.w-4 {
  width: 1rem;
}

.w-5 {
  width: 1.25rem;
}

.w-6 {
  width: 1.5rem;
}

.w-12 {
  width: 3rem;
}

.w-20 {
  width: 5rem;
}

.w-96 {
  width: 24rem;
}

/*
 * Max&Min :: Height & Width
 */

/* Width column */

.max-h-screen {
  max-height: 100vh;
}

.max-w-sm {
  max-width: 24rem;
}

.min-h-12 {
  min-height: 3rem;
}

.min-h-screen {
  min-height: 100vh;
}

[class*="max-w"] {
  max-width: 100%;
  max-width: clamp(var(--width-min), (100vw - calc(var(--medium) * 1em)) * -1000, 100%);

  --width-basis: 1280px;
  --width-min: 100%;
}

/* Max Width column */

.max-w-1 {
  --width-min: var(--width-1-column);
}

.max-w-2 {
  --width-min: var(--width-2-column);
}

.max-w-3 {
  --width-min: var(--width-3-column);
}

.max-w-4 {
  --width-min: var(--width-4-column);
}

.max-w-5 {
  --width-min: var(--width-5-column);
}

.max-w-6 {
  --width-min: var(--width-6-column);
}


/* Width column */

[class*="w-"][class$="c"] {
  width: 100%;
  max-width: clamp(var(--width-col), (100vw - calc(var(--medium) * 1em)) * -1000, 100%);

  --width-col: 100%;
  --card-width-min: var(--width-1-column);
}

.w-1c {
  --width-col: var(--width-1-column);
}

.w-2c {
  --width-col: var(--width-2-column);
}

.w-3c {
  --width-col: var(--width-3-column);
}

.w-4c {
  --width-col: var(--width-4-column);
}

.w-5c {
  --width-col: var(--width-5-column);
}

.w-6c {
  --width-col: var(--width-6-column);
}


/*
 * Height
 */

.h-0 {
  height: 0;
}

.h-4 {
  height: 1rem;
}

.h-5 {
  height: 1.25rem;
}

.h-6 {
  height: 1.5rem;
}

.h-8 {
  height: 2rem;
}

.h-10 {
  height: 2.5rem;
}

.h-12 {
  height: 3rem;
}

.h-max-12 {
  max-height: 3rem;
}

.h-20 {
  height: 5rem;
}

.h-40 {
  height: 10rem;
}

.h-full {
  height: 100%;
}

@media(min-width: 48rem) {
  .md\:h-80 {
    height: 16rem;
  }
}

/* Link */

.link-text {
  text-decoration: none;
  color: var(--text-color);
}

.enlarge-link {
  position: relative;
}

.enlarge-link a::before {
  position: absolute;
  z-index: 1;
  content: "";
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: block;
  width: 100%;
  height: 100%;
}

.enlarge-link a:focus {
  outline-width: 0;
}

.enlarge-link a:focus::before {
  border-radius: 0.125rem;
  outline-width: 2px;
  outline-style: inherit;
  outline-color: inherit;
  outline-offset: 2px;
}

/* Toggling content */
[hidden],
.hide,
.d-none {
  display: none !important;
}

@media screen and (max-width: 20em) {
  .d-none-small {
    display: none;
  }
}

.show {
  display: block !important;
}

.invisible {
  position: absolute;
  overflow: hidden;
  clip: rect(0 0 0 0);
  margin: -1px;
  padding: 0;
  width: 1px;
  height: 1px;
  border: 0;
}

.sr-only {
  position: absolute;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  margin: -1px;
  padding: 0;
  width: 1px;
  height: 1px;
  white-space: nowrap;
  border-width: 0;
}

.focus\:not-sr-only:focus {
  position: static;
  overflow: visible;
  clip: auto;
  margin: 0;
  padding: 0;
  width: auto;
  height: auto;
  white-space: normal;
}

/* Lists */

ul.list-middot > li {
	display: inline;
}

ul.list-middot > li + li::before {
	content: "·";
	margin: 0 0.5rem;
	opacity: 0.75;
}


